﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TddForWpfApplication.Services
{
    public class LoginResult
    {
        public bool IsSuccess { get; private set; }
        public string Message { get; private set; }

        public static LoginResult Success
        {
            get { return new LoginResult { IsSuccess = true }; }
        }

        public static LoginResult Error(string message)
        {
            return new LoginResult { IsSuccess = false, Message = message };
        }
    }

    public interface ILoginService
    {
        LoginResult Login(string name, string password);
    }

    public class LoginService : ILoginService
    {
        public LoginResult Login(string name, string password)
        {
            if (name == password)
                return LoginResult.Success;

            return LoginResult.Error("Name oder Passwort falsch");
        }
    }
}
